Name:		b43-openfwwf
Version:	5.2
Release:	%mkrel 15
Summary:	Open firmware for some Broadcom 43xx series WLAN chips
Group:		System/Kernel and hardware
License:	GPLv2
Url:		http://www.ing.unibs.it/openfwwf/
Source0:	http://www.ing.unibs.it/openfwwf/firmware/openfwwf-%{version}.tar.gz
Source1:	README.openfwwf
Source2:	openfwwf.conf
BuildArch:	noarch
BuildRequires:	b43-tools

%description
Open firmware for some Broadcom 43xx series WLAN chips.
Currently supported models are 4306, 4311(rev1), 4318 and 4320.
Hardware accelerated crypto is not available, so CPU usage is a
little higher than closed source vendor firmware.


%prep
%setup -q -n openfwwf-%{version}
sed -i s/"-o 0 -g 0"// Makefile
install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE2} .

%build
%make_build


%install
make install PREFIX=%{buildroot}/lib/firmware/b43
install -p -D -m 0644 openfwwf.conf %{buildroot}%{_sysconfdir}/modprobe.d/openfwwf.conf


%files
%doc COPYING LICENSE README.openfwwf
%dir /lib/firmware/b43
/lib/firmware/b43/b0g0bsinitvals5.fw
/lib/firmware/b43/b0g0initvals5.fw
/lib/firmware/b43/ucode5.fw
%{_sysconfdir}/modprobe.d/openfwwf.conf




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 5.2-15.mga9
+ Revision: 1811668
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 5.2-14.mga8
+ Revision: 1526659
- Mageia 8 Mass Rebuild

* Sun Jun 16 2019 zezinho <zezinho> 5.2-13.mga7
+ Revision: 1400151
- change path as kernel has removed secondary path option

* Tue Sep 18 2018 umeabot <umeabot> 5.2-12.mga7
+ Revision: 1261443
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 5.2-11.mga7
+ Revision: 1260212
- Mageia 7 Mass Rebuild

* Thu Jun 02 2016 tmb <tmb> 5.2-10.mga6
+ Revision: 1020041
- drop pcm5.fw again as there is no official legal redistribution rights
  from Broadcom and without source it does not belong in core anyway

* Sun May 29 2016 zezinho <zezinho> 5.2-9.mga6
+ Revision: 1019283
- added pcm.fw binary file as it is needed for kernels > 4.3

* Wed Mar 16 2016 zezinho <zezinho> 5.2-8.mga6
+ Revision: 992016
- change path as new kernels search firmware in b43-open folder

* Sat Feb 06 2016 umeabot <umeabot> 5.2-7.mga6
+ Revision: 941284
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.2-6.mga5
+ Revision: 743303
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.2-5.mga5
+ Revision: 678090
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 5.2-4.mga4
+ Revision: 502984
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 5.2-3.mga3
+ Revision: 346752
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 04 2012 zezinho <zezinho> 5.2-2.mga2
+ Revision: 218054
- kernel 3.2.x b43 driver now searches for the firmware in b43 instead of b43-open

* Tue Sep 27 2011 zezinho <zezinho> 5.2-1.mga2
+ Revision: 149608
- imported package b43-openfwwf


* Mon Sep 26 2011 zezinho <lists.jjorge@free.fr> 5.2-1.mga2
- spec started from fedora one